petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMCreateDomainDecompositionScatters

Returns scatters to the subdomain vectors from the global vector

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    PetscErrorCode DMCreateDomainDecompositionScatters(DM dm,PetscInt n,DM *subdms,VecScatter **iscat,VecScatter **oscat,VecScatter **gscat)

Not collective Many br

### Input Parameters

| dm | - the DM object Many br
| n | - the number of subdomain scatters Many br
| subdms | - the local subdomains Many br

### Output Parameters

| n | - the number of scatters returned Many br
| iscat | - scatter from global vector to nonoverlapping global vector entries on subdomain Many br
| oscat | - scatter from global vector to overlapping global vector entries on subdomain Many br
| gscat | - scatter from global vector to local vector on subdomain (fills in ghosts) Many br

Notes: This is an alternative to the iis and ois arguments in DMCreateDomainDecomposition that allow for the solution Many brof general nonlinear problems with overlapping subdomain methods. While merely having index sets that enable subsets Many brof the residual equations to be created is fine for linear problems, nonlinear problems require local assembly of Many brsolution and residual data. Many br

Many br

### See Also

DMDestroy(), DMView(), DMCreateInterpolation(), DMCreateColoring(), DMCreateMatrix(), DMCreateFieldIS()

Level:developer
Location:src/dm/interface/dm.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages